Hi,

I browsed through all the related topics but haven't found the solution yet.
I recently upgraded to 1.7.18 and when I want to open 
localhost/reviewboard, I face the error message above.

Checked my apache error log, it says:

[Thu Dec 05 10:19:00 2013] [error] [client 127.0.0.1] mod_wsgi (pid=11449): 
> Exception occurred processing WSGI script 
> '/var/www/reviewboard/htdocs/reviewboard.wsgi'., referer: 
> http://localhost/reviewboard/
> [Thu Dec 05 10:19:00 2013] [error] [client 127.0.0.1] Traceback (most 
> recent call last):, referer: http://localhost/reviewboard/
> [Thu Dec 05 10:19:00 2013] [error] [client 127.0.0.1]   File 
> "/usr/local/lib/python2.7/dist-packages/Django-1.4.9-py2.7.egg/django/core/handlers/wsgi.py",
>  
> line 219, in __call__, referer: http://localhost/reviewboard/
> [Thu Dec 05 10:19:00 2013] [error] [client 127.0.0.1]     
> self.load_middleware(), referer: http://localhost/reviewboard/
> [Thu Dec 05 10:19:00 2013] [error] [client 127.0.0.1]   File 
> "/usr/local/lib/python2.7/dist-packages/Django-1.4.9-py2.7.egg/django/core/handlers/base.py",
>  
> line 47, in load_middleware, referer: http://localhost/reviewboard/
> [Thu Dec 05 10:19:00 2013] [error] [client 127.0.0.1]     raise 
> exceptions.ImproperlyConfigured('Error importing middleware %s: "%s"' % 
> (mw_module, e)), referer: http://localhost/reviewboard/
> [Thu Dec 05 10:19:00 2013] [error] [client 127.0.0.1] 
> ImproperlyConfigured: Error importing middleware django.middleware.gzip: 
> "No module named memcache", referer: http://localhost/reviewboard/


This is the mentioned reviewboard.wsgi file:

import os
> import sys
> os.environ['DJANGO_SETTINGS_MODULE'] = "reviewboard.settings"
> os.environ['PYTHON_EGG_CACHE'] = "/var/www/reviewboard/tmp/egg_cache"
> os.environ['HOME'] = "/var/www/reviewboard/data"
> os.environ['PYTHONPATH'] = '/var/www/reviewboard/conf:' + 
> os.environ.get('PYTHONPATH', '')
> sys.path = ['/var/www/reviewboard/conf'] + sys.path
> import django.core.handlers.wsgi
> application = django.core.handlers.wsgi.WSGIHandler()


I suspect that some package is still missing, but can't figure out which. 
Can anyone give me a suggestion about resolving this?

I'm using Ubuntu 12.04.

-- 
Get the Review Board Power Pack at http://www.reviewboard.org/powerpack/
---
Sign up for Review Board hosting at RBCommons: https://rbcommons.com/
---
Happy user? Let us know at http://www.reviewboard.org/users/
--- 
You received this message because you are subscribed to the Google Groups 
"reviewboard" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to reviewboard+unsubscr...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Reply via email to